Bug 1436232 - WebUI - Web Console button is enabled for archived vm's
Summary: WebUI - Web Console button is enabled for archived vm's
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.3
Assignee: Brian McLaughlin
QA Contact: Anurag
URL:
Whiteboard: vm:console
Depends On: 1420824
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-27 13:23 UTC by Satoe Imaishi
Modified: 2017-06-28 14:57 UTC (History)
6 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1420824
Environment:
Last Closed: 2017-06-28 14:57:56 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-04-28 21:06:04 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/5d595b1913f7615bdf311dfdc2385b1795efea91

commit 5d595b1913f7615bdf311dfdc2385b1795efea91
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri Mar 24 11:32:50 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Apr 28 17:01:29 2017 -0400

    Merge pull request #695 from bmclaughlin/disable-web-console-button-for-archived-vms
    
    Enable Web Console button when VM power state is 'on'
    (cherry picked from commit 42af062e6e3f2429cb6545ced08fa263baec9568)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1436232

 .../application_helper/button/cockpit_console.rb      | 16 ++++++++++++++++
 .../toolbar/container_node_center.rb                  |  4 +++-
 app/helpers/application_helper/toolbar/x_vm_center.rb |  4 +++-
 .../buttons/cockpit_console_spec.rb                   | 19 +++++++++++++++++++
 4 files changed, 41 insertions(+), 2 deletions(-)
 create mode 100644 app/helpers/application_helper/button/cockpit_console.rb
 create mode 100644 spec/helpers/application_helper/buttons/cockpit_console_spec.rb

Comment 3 Anurag 2017-06-15 08:39:36 UTC
Web Console button is disabled for archived vm's.

Verified version: 5.7.3.1.20170608124102_4b35a9e

Comment 5 errata-xmlrpc 2017-06-28 14:57:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.